Pacman

Welcome to the Pacman bug tracker. Please search the current bugs and feature requests before filing a new one! Use advanced search and select "Search in Comments".

* Please select the correct category and version.
* Write a descriptive summary, background info, and provide a reproducible test case whenever possible.
Tasklist

FS#36412 - optdepend install status does not account for provides

Attached to Project: Pacman
Opened by mattia (nTia89) - Sunday, 04 August 2013, 14:43 GMT
Last edited by Allan McRae (Allan) - Wednesday, 02 March 2016, 04:10 GMT
Task Type Bug Report
Category General
Status Closed
Assigned To Allan McRae (Allan)
Architecture All
Severity Low
Priority Normal
Reported Version 4.1.2
Due in Version 5.1.0
Due Date Undecided
Percent Complete 100%
Votes 6
Private No

Details

Description:
pacman doesn't report the java-runtime optional dependency as [installed]
despite I have jre7-openjdk installed.
( thread https://bbs.archlinux.org/viewtopic.php?pid=1307864 )

Additional info:
* x86_64
* latest packages from official repos


Steps to reproduce:
* install jre7-openjdk
* install texlive-core
* run "pacman -Qi texlive-core"
* you can see the issue....
This task depends upon

Closed by  Allan McRae (Allan)
Wednesday, 02 March 2016, 04:10 GMT
Reason for closing:  Fixed
Additional comments about closing:  git commits 76a7d229 and 59112e18
Comment by Pablo Lezaeta (Jristz) - Sunday, 08 September 2013, 04:17 GMT
for the record, this happend whit JDK, JRE, JDK6, and so on whit all those.
maybe a virtual-real-package for now can solve until a propper solution is done
Comment by tim (sudokode) - Saturday, 24 October 2015, 20:25 GMT
Confirmed with pacmatic and vim[-python3]... many years later.
Comment by Allan McRae (Allan) - Sunday, 21 February 2016, 04:00 GMT
$ pacman -S texlive-core
...
(6/6) installing texlive-core [######################] 100%
...
Optional dependencies for texlive-core
dialog: for texconfig
ghostscript: for epstopdf, epspdf and other ConTeXt tools [installed]
java-runtime: for utilities like arara [installed]

$ pacman -Qi texlive-core
...
Optional Deps : dialog: for texconfig
ghostscript: for epstopdf, epspdf and other ConTeXt tools
[installed]
java-runtime: for utilities like arara [installed]

Comment by Allan McRae (Allan) - Sunday, 21 February 2016, 04:10 GMT
So searching everywhere else...

$ pacman -S --asdep texlive-core jre7-openjdk
(1/2) installing texlive-core [######################] 100%
...
Optional dependencies for texlive-core
java-runtime: for utilities like arara
(2/2) installing jre7-openjdk [######################] 100%

No [pending] printed...


$ pacman -R jre7-openjdk
checking dependencies...

(no warning that texlive optionally depends on java-runtime)
Comment by Allan McRae (Allan) - Sunday, 21 February 2016, 06:27 GMT

Loading...